Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class DataOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.DataOutputStream

public class DataOutputStream
extends OutputStream
implements DataOutput

A data input stream lets an application write primitive Java data types to an output stream in a portable way. An application can then use a data input stream to read the data back in.

Since:
  JDK1.0
See Also:
  `DataInputStream`

Field Summary
`protected OutputStream` | `out` The output stream

Constructor Summary
`DataOutputStream(OutputStream out)` Creates a new data output stream to write data to the specified underlying output stream.

Method Summary
`void` | `close()` Closes this output stream and releases any system resources associated with the stream.
`void` | `flush()` Flushes this data output stream.
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.
`void` | `write(int b)` Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream.
`void` | `writeBoolean(boolean v)` Writes a `boolean` to the underlying output stream as a 1-byte value.
`void` | `writeByte(int v)` Writes out a `byte` to the underlying output stream as a 1-byte value.
`void` | `writeChar(int v)` Writes a `char` to the underlying output stream as a 2-byte value, high byte first.
`void` | `writeChars(String s)` Writes a string to the underlying output stream as a sequence of characters.
`void` | `writeInt(int v)` Writes an `int` to the underlying output stream as four bytes, high byte first.
`void` | `writeLong(long v)` Writes a `long` to the underlying output stream as eight bytes, high byte first.
`void` | `writeShort(int v)` Writes a `short` to the underlying output stream as two bytes, high byte first.
`void` | `writeUTF(String str)` Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected OutputStream out

  The output stream

Constructor Detail

### DataOutputStream

    public DataOutputStream(OutputStream out)

  Creates a new data output stream to write data to the specified underlying output stream. The counter `written` is set to zero.
  Parameters:
    `out` - the underlying output stream, to be saved for later use.

Method Detail

### write

    public void write(int b)
               throws IOException

  Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream. If no exception is thrown, the counter `written` is incremented by `1`.

  Implements the `write` method of `OutputStream`.

  Specified by:
    write in interface DataOutput
  Overrides:
    write in class OutputStream
  Parameters:
    `b` - the `byte` to be written.
  Throws:
    IOException - if an I/O error occurs.

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream. If no exception is thrown, the counter `written` is incremented by `len`.
  Specified by:
    write in interface DataOutput
  Overrides:
    write in class OutputStream
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    IOException - if an I/O error occurs.

### flush

    public void flush()
               throws IOException

  Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

  The `flush` method of `DataOutputStream` calls the `flush` method of its underlying output stream.

  Overrides:
    flush in class OutputStream
  Throws:
    IOException - if an I/O error occurs.

### close

    public void close()
               throws IOException

  Closes this output stream and releases any system resources associated with the stream.

  The `close` method calls its `flush` method, and then calls the `close` method of its underlying output stream.

  Overrides:
    close in class OutputStream
  Throws:
    IOException - if an I/O error occurs.

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws IOException

  Writes a `boolean` to the underlying output stream as a 1-byte value. The value `true` is written out as the value `(byte)1`; the value `false` is written out as the value `(byte)0`. If no exception is thrown, the counter `written` is incremented by `1`.
  Specified by:
    writeBoolean in interface DataOutput
  Parameters:
    `v` - a `boolean` value to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeByte

    public final void writeByte(int v)
                         throws IOException

  Writes out a `byte` to the underlying output stream as a 1-byte value. If no exception is thrown, the counter `written` is incremented by `1`.
  Specified by:
    writeByte in interface DataOutput
  Parameters:
    `v` - a `byte` value to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeShort

    public final void writeShort(int v)
                          throws IOException

  Writes a `short` to the underlying output stream as two bytes, high byte first. If no exception is thrown, the counter `written` is incremented by `2`.
  Specified by:
    writeShort in interface DataOutput
  Parameters:
    `v` - a `short` to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeChar

    public final void writeChar(int v)
                         throws IOException

  Writes a `char` to the underlying output stream as a 2-byte value, high byte first. If no exception is thrown, the counter `written` is incremented by `2`.
  Specified by:
    writeChar in interface DataOutput
  Parameters:
    `v` - a `char` value to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeInt

    public final void writeInt(int v)
                        throws IOException

  Writes an `int` to the underlying output stream as four bytes, high byte first. If no exception is thrown, the counter `written` is incremented by `4`.
  Specified by:
    writeInt in interface DataOutput
  Parameters:
    `v` - an `int` to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeLong

    public final void writeLong(long v)
                         throws IOException

  Writes a `long` to the underlying output stream as eight bytes, high byte first. In no exception is thrown, the counter `written` is incremented by `8`.
  Specified by:
    writeLong in interface DataOutput
  Parameters:
    `v` - a `long` to be written.
  Throws:
    IOException - if an I/O error occurs.

### writeChars

    public final void writeChars(String s)
                          throws IOException

  Writes a string to the underlying output stream as a sequence of characters. Each character is written to the data output stream as if by the `writeChar` method. If no exception is thrown, the counter `written` is incremented by twice the length of `s`.
  Specified by:
    writeChars in interface DataOutput
  Parameters:
    `s` - a `String` value to be written.
  Throws:
    IOException - if an I/O error occurs.
  See Also:
    `writeChar(int)`

### writeUTF

    public final void writeUTF(String str)
                        throws IOException

  Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

  First, two bytes are written to the output stream as if by the `writeShort` method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for the character. If no exception is thrown, the counter `written` is incremented by the total number of bytes written to the output stream. This will be at least two plus the length of `str`, and at most two plus thrice the length of `str`.

  Specified by:
    writeUTF in interface DataOutput
  Parameters:
    `str` - a string to be written.
  Throws:
    IOException - if an I/O error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.